<cfscript>
ClientConstants = createobject("java", "com.vindicia.client.ClientConstants", [expandpath("lib/vindicia.jar")]);
account 		= createobject("java", "com.vindicia.client.Account", [expandpath("lib/vindicia.jar")]);

// use prodtest environment!
ClientConstants.DEFAULT_VINDICIA_SERVICE_URL = "https://soap.prodtest.sj.vindicia.com";

try {
	account.fetchByEmail('fakelogin','fakepassword','','johndoe@company.com');
} 
catch (com.vindicia.client.VindiciaReturnException e) {
	
	if (structkeyexists(e,"soapId")) {
		echo("Test passes, soapID key exists!");
	} 
	else {
		echo("Test FAILS, soapID key does not exist!");
	}

}
</cfscript>